VendorsUpdate vendor
Vendors

Update vendor

Updates an existing vendor record.

curl -X PATCH "https://api.neostra.io/api/v1/vendors/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "name": "Acme Analytics",
  "description": "example_string",
  "website": "example_string",
  "category": "Analytics",
  "dataProcessingAgreement": true
}'
{
  "status": 200,
  "message": "Success",
  "data": {},
  "errors": [
    "example_string"
  ]
}
PATCH
/api/v1/vendors/{id}
PATCH
Bearer Token (JWT)
Bearer Tokenstring
Required

JWT bearer token for authentication

JWT bearer token for authentication
path
idstring
Required

The resource identifier

Content-Typestring
Required

The media type of the request body

Options: application/json
namestring

Vendor name

descriptionstring

Description of the vendor

websitestring

Vendor website URL

Format: uri
categorystring

Vendor category

dataProcessingAgreementboolean

Whether a DPA is in place

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). JWT bearer token for authentication

Path Parameters

idstring
Required

The resource identifier

Body

application/json
namestring

Vendor name

descriptionstring

Description of the vendor

websitestring

Vendor website URL

categorystring

Vendor category

dataProcessingAgreementboolean

Whether a DPA is in place

Responses

statusinteger

HTTP status code

messagestring

Response message

dataobject

Response payload

errorsstring[]

List of error details, if any